<template>
  <div>
    <home-promo-block/>

    <div
      class="mx-auto max-w-7xl px-4"
      id="restaurants"
    >
      <div class="text-3xl">
        {{ $t('common.restaurants') }}
      </div>

      <div class="grid overflow-hidden grid-cols-3 gap-2">
        <restaurant-item
          v-for="restaurant in restaurantsList"
          :key="restaurant.id"
          :restaurant="restaurant"
        />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
  import { useRestaurantsStore } from '~/composable/restaurant/useRestaurantsStore'
  
  const {restaurants: restaurantsList} = useRestaurantsStore()
</script>